diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/desktop_capture/desktop_capture_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/desktop_capture/desktop_capture_gn/moz.build
--- third_party/libwebrtc/modules/desktop_capture/desktop_capture_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/desktop_capture/desktop_capture_gn/moz.build	2022-06-12 05:56:24.732999103 +0900
@@ -46,14 +46,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -134,7 +137,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -146,7 +149,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("desktop_capture_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/desktop_capture/desktop_capture_objc_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/desktop_capture/desktop_capture_objc_gn/moz.build
--- third_party/libwebrtc/modules/desktop_capture/desktop_capture_objc_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/desktop_capture/desktop_capture_objc_gn/moz.build	2022-06-12 05:56:24.734207658 +0900
@@ -64,4 +64,13 @@
     DEFINES["WEBRTC_ARCH_ARM64"] = True
     DEFINES["WEBRTC_HAS_NEON"] = True
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("desktop_capture_objc_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/desktop_capture/primitives_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/desktop_capture/primitives_gn/moz.build
--- third_party/libwebrtc/modules/desktop_capture/primitives_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/desktop_capture/primitives_gn/moz.build	2022-06-12 05:56:24.729958123 +0900
@@ -54,14 +54,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -116,7 +119,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -128,7 +131,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -160,4 +163,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("primitives_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/module_api_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/module_api_gn/moz.build
--- third_party/libwebrtc/modules/module_api_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/module_api_gn/moz.build	2022-06-12 05:56:24.725738244 +0900
@@ -59,14 +59,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -136,7 +139,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -152,7 +155,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("module_api_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/module_api_public_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/module_api_public_gn/moz.build
--- third_party/libwebrtc/modules/module_api_public_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/module_api_public_gn/moz.build	2022-06-12 05:56:24.727155300 +0900
@@ -59,14 +59,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -136,7 +139,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -152,7 +155,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("module_api_public_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/module_fec_api_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/module_fec_api_gn/moz.build
--- third_party/libwebrtc/modules/module_fec_api_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/module_fec_api_gn/moz.build	2022-06-12 05:56:24.724319004 +0900
@@ -59,14 +59,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -136,7 +139,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -152,7 +155,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("module_fec_api_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/pacing/interval_budget_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/pacing/interval_budget_gn/moz.build
--- third_party/libwebrtc/modules/pacing/interval_budget_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/pacing/interval_budget_gn/moz.build	2022-06-12 05:56:24.698269532 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -152,7 +155,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -168,7 +171,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -210,4 +213,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("interval_budget_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/pacing/pacing_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/pacing/pacing_gn/moz.build
--- third_party/libwebrtc/modules/pacing/pacing_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/pacing/pacing_gn/moz.build	2022-06-12 05:56:24.696830665 +0900
@@ -73,14 +73,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -166,7 +169,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -182,7 +185,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -224,4 +227,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("pacing_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/remote_bitrate_estimator/remote_bitrate_estimator_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/remote_bitrate_estimator/remote_bitrate_estimator_gn/moz.build
--- third_party/libwebrtc/modules/remote_bitrate_estimator/remote_bitrate_estimator_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/remote_bitrate_estimator/remote_bitrate_estimator_gn/moz.build	2022-06-12 05:56:24.695373464 +0900
@@ -79,14 +79,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -172,7 +175,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -188,7 +191,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -230,4 +233,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("remote_bitrate_estimator_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/rtp_rtcp/rtp_rtcp_format_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/rtp_rtcp/rtp_rtcp_format_gn/moz.build
--- third_party/libwebrtc/modules/rtp_rtcp/rtp_rtcp_format_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/rtp_rtcp/rtp_rtcp_format_gn/moz.build	2022-06-12 05:56:24.642672522 +0900
@@ -109,14 +109,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -202,7 +205,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -218,7 +221,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -260,4 +263,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("rtp_rtcp_format_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/rtp_rtcp/rtp_rtcp_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/rtp_rtcp/rtp_rtcp_gn/moz.build
--- third_party/libwebrtc/modules/rtp_rtcp/rtp_rtcp_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/rtp_rtcp/rtp_rtcp_gn/moz.build	2022-06-12 05:56:24.644206617 +0900
@@ -121,14 +121,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -214,7 +217,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -230,7 +233,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -272,4 +275,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("rtp_rtcp_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/rtp_rtcp/rtp_video_header_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/rtp_rtcp/rtp_video_header_gn/moz.build
--- third_party/libwebrtc/modules/rtp_rtcp/rtp_video_header_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/rtp_rtcp/rtp_video_header_gn/moz.build	2022-06-12 05:56:24.645656494 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -152,7 +155,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -168,7 +171,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -210,4 +213,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("rtp_video_header_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/third_party/fft/fft_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/third_party/fft/fft_gn/moz.build
--- third_party/libwebrtc/modules/third_party/fft/fft_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/third_party/fft/fft_gn/moz.build	2022-06-12 05:56:24.625203561 +0900
@@ -63,14 +63,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -144,7 +147,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -160,7 +163,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -202,4 +205,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("fft_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/third_party/g711/g711_3p_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/third_party/g711/g711_3p_gn/moz.build
--- third_party/libwebrtc/modules/third_party/g711/g711_3p_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/third_party/g711/g711_3p_gn/moz.build	2022-06-12 05:56:24.623762921 +0900
@@ -63,14 +63,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -144,7 +147,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -160,7 +163,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -202,4 +205,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("g711_3p_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/third_party/g722/g722_3p_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/third_party/g722/g722_3p_gn/moz.build
--- third_party/libwebrtc/modules/third_party/g722/g722_3p_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/third_party/g722/g722_3p_gn/moz.build	2022-06-12 05:56:24.622329024 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -148,7 +151,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -164,7 +167,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -206,4 +209,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("g722_3p_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/modules/utility/utility_gn/moz.build firefox-101.0.1/third_party/libwebrtc/modules/utility/utility_gn/moz.build
--- third_party/libwebrtc/modules/utility/utility_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/modules/utility/utility_gn/moz.build	2022-06-12 05:56:24.606497772 +0900
@@ -72,14 +72,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -164,7 +167,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -180,7 +183,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -222,4 +225,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("utility_gn")
